# Gnuplot script for plotting parallel program execution time graphs.
#
# This script should be called from gnuplot as "call gp.gpl <filename>
# <first y>" where <filename> is a data file containing (number of
# processors, execution time) pairs, and <first y> is the execution
# time listed in that file for 1 processor (parallel, not sequential).
# This value van be extracted from the data file using e.g. an awk
# on-liner. See for example the shell-script 'doplot', which provides
# an appropriate but bare-bones wrapper around this file.
#
# Expected parameters:
#
# $0 = <filename>
# $1 = <firsty>

set logscale xy 2
set data style linespoints
set xlabel "Number of processors"
set ylabel "Execution time (sec)"
p(x) = $1 / x
plot "sor-v.gpl" using 1:4 title "Rotan Results" with lines linewidth 3, "sor-f.gpl" using 1:4 title "Timber Results" with lines linewidth 3, "$0" using 1:4 title "PGHPF Results" with lines linewidth 3, p(x) title "Ideal Speedup" with lines linewidth 2
